Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
TessCallback1< A1 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for TessCallback1< A1 >:

List of all members.

## Public Member Functions

virtual | ~TessCallback1 ()
virtual void | Run (A1)=0

## Detailed Description

### template<class A1>
class TessCallback1< A1 >

Definition at line 274 of file tesscallback.h.

## Constructor & Destructor Documentation

template<class A1>

virtual TessCallback1< A1 >::~TessCallback1 | ( |  | ) |

inline virtual

Definition at line 276 of file tesscallback.h.

{ }

## Member Function Documentation

template<class A1>

virtual void TessCallback1< A1 >::Run | ( | A1 |  | ) |

pure virtual

Implemented in _TessFunctionResultCallback_0_1< del, void, A1 >, _TessMemberResultCallback_0_1< del, void, T, A1 >, and _ConstTessMemberResultCallback_0_1< del, void, T, A1 >.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h